StandardWrapperFacade (Apache Tomcat 10.1.7 API Documentation)

Package org.apache.catalina.core

## Class StandardWrapperFacade

- java.lang.Object
- - org.apache.catalina.core.StandardWrapperFacade

- All Implemented Interfaces:
    `ServletConfig`

      public final class StandardWrapperFacade
      extends Object
      implements ServletConfig

  Facade for the StandardWrapper object.
  Author:
    Remy Maucherat

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StandardWrapperFacade​(StandardWrapper config)` | Create a new facade around a StandardWrapper.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getInitParameter​(String name)` | Returns a `String` containing the value of the named initialization parameter, or `null` if the parameter does not exist.
    `Enumeration<String>` | `getInitParameterNames()` | Returns the names of the servlet's initialization parameters as an `Enumeration` of `String` objects, or an empty `Enumeration` if the servlet has no initialization parameters.
    `ServletContext` | `getServletContext()` | Returns a reference to the `ServletContext` in which the caller is executing.
    `String` | `getServletName()` | Returns the name of this servlet instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardWrapperFacade

          public StandardWrapperFacade​(StandardWrapper config)

      Create a new facade around a StandardWrapper.
      Parameters:
        `config` - the associated wrapper

  - ### Method Detail

    - #### getServletName

          public String getServletName()

      Description copied from interface: `jakarta.servlet.ServletConfig`
      Returns the name of this servlet instance. The name may be provided via server administration, assigned in the web application deployment descriptor, or for an unregistered (and thus unnamed) servlet instance it will be the servlet's class name.
      Specified by:
        `getServletName` in interface `ServletConfig`
      Returns:
        the name of the servlet instance

    - #### getServletContext

          public ServletContext getServletContext()

      Description copied from interface: `jakarta.servlet.ServletConfig`
      Returns a reference to the `ServletContext` in which the caller is executing.
      Specified by:
        `getServletContext` in interface `ServletConfig`
      Returns:
        a `ServletContext` object, used by the caller to interact with its servlet container
      See Also:
        `ServletContext`

    - #### getInitParameter

          public String getInitParameter​(String name)

      Description copied from interface: `jakarta.servlet.ServletConfig`
      Returns a `String` containing the value of the named initialization parameter, or `null` if the parameter does not exist.
      Specified by:
        `getInitParameter` in interface `ServletConfig`
      Parameters:
        `name` - a `String` specifying the name of the initialization parameter
      Returns:
        a `String` containing the value of the initialization parameter

    - #### getInitParameterNames

          public Enumeration<String> getInitParameterNames()

      Description copied from interface: `jakarta.servlet.ServletConfig`
      Returns the names of the servlet's initialization parameters as an `Enumeration` of `String` objects, or an empty `Enumeration` if the servlet has no initialization parameters.
      Specified by:
        `getInitParameterNames` in interface `ServletConfig`
      Returns:
        an `Enumeration` of `String` objects containing the names of the servlet's initialization parameters